
Installer - Bug #29512

foreman-installer --reset fails with 'Could not find foreman_maintain'

04/09/2020 02:04 PM - Justin Sherrill

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category:    

Target version:    

Difficulty:  Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/497,

https://github.com/theforeman/foreman-i

nstaller/pull/507

  

Description

/usr/share/rubygems/rubygems/dependency.rb:296:in `to_specs': Could not find 'foreman_maintain' (>= 0) among 172 total gem(s)

(Gem::LoadError)

This is likely due to the installer running inside the scl

Related issues:

Related to Installer - Bug #29906: foreman-installer --reset fails at `stop_s... Closed

Associated revisions

Revision d687c2fa - 04/27/2020 08:31 PM - Eric Helms

Fixes #29512: Call foreman-maintain without SCL context

Revision 94207e8b - 05/26/2020 08:12 PM - Ewoud Kohl van Wijngaarden

Refs #29512 - Add a default to stop_services

d687c2fa56efb223781078564f45f19310df0306 added this but it's also called

without arguments.

Fixes #29906

History

#1 - 04/09/2020 03:57 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/foreman-installer/pull/497 added

#2 - 04/27/2020 08:31 PM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#3 - 04/27/2020 09:01 PM - Eric Helms

- Status changed from Ready For Testing to Closed

Applied in changeset installer|d687c2fa56efb223781078564f45f19310df0306.

#4 - 05/26/2020 03:47 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/507 added

#5 - 05/26/2020 08:35 PM - Ewoud Kohl van Wijngaarden
https://projects.theforeman.org/projects/puppet-foreman/repository/installer/revisions/d687c2fa56efb223781078564f45f19310df0306


- Related to Bug #29906: foreman-installer --reset fails at `stop_services` added
